<?php defined('C5_EXECUTE') or die("Access Denied."); ?>

<form method="post" action="<?php echo $controller->action("submit"); ?>">

	<fieldset>

		<legend><?php echo t("General settings"); ?></legend>
		<div class="form-group">

			<?php echo  $form->label("CHATWEE_CODE", t("Chatwee installation code")) ?>
			<?php echo  $form->textarea("CHATWEE_CODE", $chatweeCode, array("style" => "height: 150px; width: 800px;")) ?>
			<span class="help-block">
				<i class="fa fa-info"></i>
				<?php echo t("Copy the Chatwee installation code from your <a href='https://client.chatwee.com/v2/dashboard' target='_blank'>Dashboard</a> and paste it into the box. If you don't have a Chatwee account yet, please <a href='https://client.chatwee.com/register-form/v2' target='_blank'>sign up</a> absolutely for free."); ?>
			</span>

		</div>

	</fieldset>

	<fieldset>

		<legend><?php echo t("SSO settings"); ?></legend>
		<div class="form-group">

            <?php echo  $form->label("CHATWEE_SSO_ENABLE", t("Enable SSO")); ?>
			<?php echo  $form->checkbox("CHATWEE_SSO_ENABLE", 1, $chatweeSsoEnable); ?>
            <span class="help-block">
                <i class="fa fa-info"></i>
                <?php echo t("Check this box if you want your users to log in via Single Sign-on. <b>This feature is only available with Pro and Ultimate plans.</b>"); ?>
            </span>
            <br />

            <?php echo $form->label("CHATWEE_SSO_CHAT_ID", t("Chat ID")); ?>
            <?php echo $form->text("CHATWEE_SSO_CHAT_ID", $chatweeSsoChatId, array("style" => "width: 800px;")); ?>
    		<span class="help-block">
                <i class="fa fa-info"></i>
                <?php echo t("Enter your Chat ID available in the <a href='https://client.chatwee.com/v2/customize#integration' target='_blank'>Integration</a> tab. <b>This feature is only available with Pro and Ultimate plans.</b>"); ?>
            </span>
            <br/>

            <?php echo $form->label("CHATWEE_SSO_API_KEY", t("Client API Key")); ?>
			<?php echo $form->text("CHATWEE_SSO_API_KEY", $chatweeSsoApiKey, array("style" => "width: 800px;")); ?>
			<span class="help-block">
                <i class="fa fa-info"></i>
                <?php echo t("Enter your Client API Key available in the <a href='https://client.chatwee.com/v2/customize#integration' target='_blank'>Integration</a> tab. <b>This feature is only available with Pro and Ultimate plans.</b>"); ?>
            </span>
            <br/>

            <?php echo $form->label("CHATWEE_SSO_ADMIN_GROUPS", t("User groups as Chatwee admins")); ?>
            <br/>
            <?php
		        foreach ($groups as $group)
		        {
            		$groupName = $group->getGroupDisplayName();
            		$groupId = $group->getGroupID();

            		$checkedClause = is_array($chatweeSsoAdminGroups) && in_array($groupId, $chatweeSsoAdminGroups) ? "checked" : "";
            		echo "<input type='checkbox' value='$groupId' name='CHATWEE_SSO_ADMIN_GROUPS[]' id='admin_roles_$groupId' $checkedClause/>";
					echo " " . "<label for='admin_roles_$groupId'>$groupName</label><br/>";
            	}
            ?>
			<span class="help-block">
                <i class="fa fa-info"></i>
                <?php echo t("This section allows you to assign admin powers to particular user groups. <b>This feature is only available with Pro and Ultimate plans.</b>"); ?>
            </span>
            <br/>

        </div>

		<div class="ccm-dashboard-form-actions-wrapper">
			<div class="ccm-dashboard-form-actions">
				<button class="pull-right btn btn-primary" type="submit">
					<?php echo t("Save settings"); ?>
				</button>
			</div>
		</div>

	</fieldset>

</form>
